//===================================RISCKER====================================
//=============================Instruction Memory===============================
//------------------------------------------------------------------------------
//File Name:	imem.v
//Purpose:		Instruction memory
//Parameters:	None
//------------------------------------------------------------------------------
//=====================Alfredo Gualdron - Jose P. Pinilla=======================
//=================================Semillero ADT================================
//================================UPB Bucaramanga===============================
//Website:	http://semilleroadt.upbbga.edu.co/xiscker
//E-mail:	semilleroadt@gmail.com
//------------------------------------------------------------------------------
module imem(
	input [15:0]addr,
	input ir_write,
	output reg[31:0] IR
	);
reg [31:0]instruction;
always @ (*)
case (addr)
16'd0:	instruction <=		32'b10001101000000000000000000001111;
16'd1:	instruction <=		32'b10001101100000000000000000000100;
16'd2:	instruction <=		32'b10101110110000000001000000010000;
16'd3:	instruction <=		32'b00010000000000000000000000000111;
16'd4:	instruction <=		32'b00000110110110110000000000000111;
16'd5:	instruction <=		32'b10101110111110110000000000000001;
16'd6:	instruction <=		32'b01101011111111110000000000000000;
16'd7:	instruction <=		32'b00001110100000000110110000000010;
16'd8:	instruction <=		32'b00010000000000000000000000000111;
default:instruction <=		32'b00010000000000000000000000000000;
endcase
always @ (posedge ir_write)
IR <= instruction;
endmodule