//===================================RISCKER====================================
//==================================Data Mem===================================
//------------------------------------------------------------------------------
//File Name:	dmem.v
//Purpose:		Data memoria unit
//Parameters:	None
//------------------------------------------------------------------------------
//=====================Alfredo Gualdron - Jose P. Pinilla=======================
//=================================Semillero ADT================================
//================================UPB Bucaramanga===============================
//Website:	http://semilleroadt.upbbga.edu.co/xiscker
//E-mail:	semilleroadt@gmail.com
//------------------------------------------------------------------------------
module dmem (

input we,
input [9:0]addr,
input [15:0]wd,
output [15:0]data
);

reg [15:0] RAM[1024:0];

assign data = RAM[addr];

always @ (posedge we)
	RAM[addr] <= wd;

endmodule
